package cn.com.poc.ai_software_copyright.dto;

import java.util.List;

import cn.com.poc.ai_software_copyright.domian.BaseInfo;
import cn.com.poc.ai_software_copyright.domian.TechnicalContent;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author alex.yao
 * @date 2025/12/25
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class SoftwareCopyRightDto {


    private Long id;

    private BaseInfo baseInfo;

    private TechnicalContent technicalContent;

    private List<String> referenceDocumentFileUrl;

    private List<String> generatedDocType;

    private String generatedStatus;

    private String errorMess;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public BaseInfo getBaseInfo() {
        return baseInfo;
    }

    public void setBaseInfo(BaseInfo baseInfo) {
        this.baseInfo = baseInfo;
    }

    public TechnicalContent getTechnicalContent() {
        return technicalContent;
    }

    public void setTechnicalContent(TechnicalContent technicalContent) {
        this.technicalContent = technicalContent;
    }

    public List<String> getReferenceDocumentFileUrl() {
        return referenceDocumentFileUrl;
    }

    public void setReferenceDocumentFileUrl(List<String> referenceDocumentFileUrl) {
        this.referenceDocumentFileUrl = referenceDocumentFileUrl;
    }

    public List<String> getGeneratedDocType() {
        return generatedDocType;
    }

    public void setGeneratedDocType(List<String> generatedDocType) {
        this.generatedDocType = generatedDocType;
    }

    public String getGeneratedStatus() {
        return generatedStatus;
    }

    public void setGeneratedStatus(String generatedStatus) {
        this.generatedStatus = generatedStatus;
    }

    public String getErrorMess() {
        return errorMess;
    }

    public void setErrorMess(String errorMess) {
        this.errorMess = errorMess;
    }
}
